# simplerag (Simple Retrieval Augmented Generation)

Simplerag: Retrieval Augmented Generation Library
Simplerag is a Python library designed to assist users in working with custom data using Large Language Models (LLMs). It enables users to create a vector database, which is a one-time activity, and LLM models can then utilize the product outputs for retrieval augmented generation.

Table of Contents
1. Introduction
2. Installation
3. Usage
4. Creating a Vector DB
5. Retrieval Augmented Generation
6. Examples
7. Contributing
8. License

__Introduction__

Large Language Models (LLMs) have gained significant popularity in recent years due to their ability to generate human-like text. However, working with custom data using LLMs can be challenging, especially when dealing with large datasets or complex retrieval tasks. Simplerag aims to simplify this process by providing a convenient and efficient way to work with LLMs for retrieval augmented generation tasks.

__Key features of simplerag include:__

__Vector Database Creation:__ simplerag allows users to create a vector database from their custom data. This database serves as an index for retrieval tasks and is generated as a one-time activity.

__Retrieval Augmented Generation:__ With the vector database in place, Simplerag enables users to perform retrieval augmented generation using LLM models. This approach combines the power of retrieval and generation to produce high-quality outputs.

__Installation__
To install simplerag, you can use pip:

```pip install simplerag```

